gout(1)

NAME
gout - output graphics from matrices and graphs

SYNOPSIS
gout [options] [gfile] [xfile] [mfile] [vfile]

DESCRIPTION
The gout program creates graphics files of various types, representing the Scotch graph and mapping data which is passed to it.

Source graph file gfile can only be a centralized graph file. File xfile stores its associated geometry, whenever necessary. File mfile represents label information attached to each of the graph vertices, for instance the index of the part to which each vertex belongs in the case of a mapping file. File vfile is the output graphics file, the type of which may differ according to the input parameters. When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, gtst can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma', on input only).

OPTIONS

-h  Display some help.

-ggeop
    Geometry parameters, which can be an arbitrary combination of any of the following code letters:

    n   Do not read geometry data, when it is not available or not required, such as when using the -om option.

    p   Permute Y and Z geometry dimensions.

    r   Rotate geometry by 90 degrees in the (X,Y) plane.

-h  Display some help.

-mn Do not read mapping data, when it is not available or not required.

-ooutp
    Select the output file type and allows to provide additional parameters between braces and separated by commas:

    i   OpenInventor 3D mesh file, to be viewed by means of programs such as ivview. Additional parameters for this output file type are:

        c   Color output.

        g   Gray level output.

        r   Remove cut edges.

        v   View cut edges.

    m   PostScript matrix pattern file. Additional parameters for this output file type are:

        e   EPSF-type output.

        f   Full-page output.

    p   PostScript 2D mesh file. This output module was intended for 2D meshes; as a fallback, the Z coordinate is projected according to isometric perspective rules, but drawings of full 3D objects are most likely to be unreadable. Additional parameters for this output file type are:

        c   Color output.

        g   Gray level output.

        e   EPSF-type output.

        f   Full-page output.

        s   Short clipping (disks excluded).

        l   Large clipping (disks included).

        a   Avoid displaying disks.

        d   Display disks.

        r   Remove cut edges.

        v   View cut edges.

        X=rat
            Maximum x clipping ratio (in [0.0;1.0]).

        x=rat
            Minimum x clipping ratio.

        Y=rat
            Maximum y clipping ratio.

        y=rat
            Minimum y clipping ratio.

    t   Tulip 3D mesh file. Additional parameters for this output file type are:

        b   Black and white output.

        c   Color output.

        a   Avoid displaying disks.

        d   Display disks.

        r   Remove cut edges.

        v   View cut edges.

-V  Display program version and copyright.

EXAMPLES
Build an OpenInventor file of the mapping of graph brol.grf contained in file brol.map. Vertices with no mapping information attached to them will be rendered in white, while distinct colors will be used to represent the different parts. Cut edges will be removed:

    $ gout '-oi{r}' brol.grf brol.xyz brol.map brol.iv
    $ ivview brol.iv
Build an OpenInventor file of graph brol.grf without any vertex information associated to it. Mapping data are not required and will not be read, but a file name has to be provided, hence the

    $ gout -oi -mn brol.grf brol.xyz - brol.iv
Output the pattern of matrix brol.grf on the form of a PostScript flat drawing. Geometry and mapping data are not required and will not be read, but file names have to be provided, hence the two '-'s:

    $ gout -om -gn -mn brol.grf - - brol.ps
Output a PostScript 2D drawing of a rectangular portion graph brol.grf, with disks representing mapping data:

    $ gout '-op{c,e,d,x=0.3,X=0.6,y=0.2,Y=0.5}' brol.grf brol.xyz brol.map brol.ps

SEE ALSO
gmap(1), gout(1), gtst(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>